declare default element namespace "http://www.tei-c.org/ns/1.0";
declare namespace tei = "http://www.tei-c.org/ns/1.0";
declare namespace abv = "http://ossetic-studies.org/ns/abaevdict";

import module namespace abv-m = 'http://ossetic-studies.org/ns/abaevdict-mod' at './abv-mod.xqm';

let $langs := ('ru', 'en')

for $lang in $langs
  for $doc in abv-m:make-lng(collection('abaevdict'), $lang)
  let $id := $doc/@xml:id
  return db:put(`abaevdict_{$lang}`, $doc, `xml/{$id}.xml`)