declare namespace tei = "http://www.tei-c.org/ns/1.0";
declare namespace abv = "http://ossetic-studies.org/ns/abaevdict";

import module namespace abv-m = 'http://ossetic-studies.org/ns/abaevdict-mod' at './abv-mod.xqm';

let $langs := ('ru', 'en')

for $lang in $langs
for $doc in abv-m:make-html(collection(`abaevdict_{$lang}/xml`), $lang) 
return db:put(`abaevdict_{$lang}`, $doc, `html/{$doc/article[1]/@id}.html`)